> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-67bc7bf8.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 組織メンバーの一覧

> 組織内のすべてのメンバーの一覧を返します。



## OpenAPI

````yaml /ja/_specs/cloud-openapi.json get /v1/organizations/{organizationId}/members
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/members:
    get:
      tags:
        - User management
      summary: 組織メンバーの一覧
      description: 組織内のすべてのメンバーの一覧を返します。
      parameters:
        - description: 要求された組織の ID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 各リクエストに割り当てられる一意の ID。UUIDv4
                    format: uuid
                    type: string
                  result:
                    items:
                      $ref: '#/components/schemas/Member'
                    type: array
                  status:
                    description: HTTPステータスコード。
                    example: 200
                    type: number
                type: object
          description: 成功時のレスポンス
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: エラーの詳細説明。
                    type: string
                  status:
                    description: HTTPステータスコード。
                    example: 400
                    type: number
                type: object
          description: クライアントエラーと判断されたため、サーバーはリクエストを処理できないか、処理しません。
components:
  schemas:
    Member:
      properties:
        email:
          description: 個人ユーザープロファイルで設定されたメンバーのメールアドレス。
          format: email
          type: string
        joinedAt:
          description: メンバーが組織に参加したタイムスタンプ。ISO-8601。
          format: date-time
          type: string
        name:
          description: 個人ユーザープロファイルで設定されたメンバー名。
          type: string
        role:
          description: 組織におけるメンバーのロール。
          enum:
            - admin
            - developer
          type: string
        userId:
          description: 一意のユーザー ID。ユーザーが複数の組織に所属している場合でも、この ID は変わりません。
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud console で取得した key ID と key secret を使用してください:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````